version number for CoCoA5 snapshot release?

11 Dec 2020 12:20 - Anna Maria Bigatti

Status: Closed Start date: 11 Dec 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Release Estimated time: 0.00 hour

Target version: CoCoA-5.4.0 Spent time: 1.80 hour

Description

should we have finer numbering?

such as cocoa-5.3.3b?

Related issues:

Related to CoCoA-5 - Support #314: odd and even numbers for snapshots/officia... Closed 15 Feb 2013

History

#1 - 11 Dec 2020 12:21 - Anna Maria Bigatti

- Related to Support #314: odd and even numbers for snapshots/official versions? added

#2 - 11 Dec 2020 14:31 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I changed the file src/CoCoA/release-files/version so that the 3rd component was 3b (instead of just 3).

CoCoA appeared to build fine, and all tests pass.

Now I must check the warning near the start of the version file (which said numerical values are necessary for the components of the version).

#3 - 11 Dec 2020 21:09 - John Abbott

- % Done changed from 10 to 60

I have now checked where the values of COCOA5_VER_MAJ etc are used.

I believe it is safe if they contain alphanumerics; other chars are risky (e.g. it would be a bad idea to assign a value like ; rm -rf *)

Really we should add a small script that checks that the values are just alphanumeric.

#4 - 11 Dec 2020 21:54 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 60 to 70

I have added a safety check.  It seems to work well enough.

Tomorrow I'll check it in.

#5 - 12 Dec 2020 21:37 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

29 Apr 2024 1/2



I have checked in: better doc in release-files/version, new target in Makefile, new program check-version-defines.

#6 - 08 Jan 2021 11:30 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

For snapshot releases: (Anna) remember to change the links in the webpage.
